夏日岛歌
2019-09-27 05:09
采纳率: 100%
浏览 799

RedHat6.4如何安装最新的GCC

我刚接触linux,现在安装了RedHat6.4,结果发现这个系统的gcc版本是4.4.7,不支持C11,我想知道怎么才能把这个换成高版本的gcc。
麻烦各位大佬给点靠谱的回答,我昨天晚上弄了一夜,找了四个办法,基本都是大同小异的说下载一个高版本的gcc压缩包,然后解压后,进入那个这个文件夹,里面有一个脚本会自动下载所需的东西,但是四个我都试过了,都是那种几个小时都下不好的那种
哎,现在真的希望有位大佬能给个靠谱点的回答,先谢谢了

  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

4条回答 默认 最新

  • 毕小宝 2019-09-27 14:15
    已采纳
    yum install -y centos-release-scl
    yum install -y devtoolset-4-gcc-c++
    scl enable devtoolset-4 bash
    
    已采纳该答案
    打赏 评论
  • weixin_43975295 2019-09-27 09:42

    linux系统中的各种依赖关系非常复杂的,如果不满足你的使用需求的话,建议是更新到更高版本的linux系统。因为gcc单方面装成更高的版本,能不能使用呢?它是不是有其他的依赖软件也需要升级到更高的版本?这些都不是很确定。一般来说,linux系统需要安装这类软件都是使用yum来一键安装的,至于yum仓库的更新,可以去网上找一些最新的yum源。

    打赏 评论
  • threenewbee 2019-09-27 09:47

    最简单的自然是联网使用 yum 来自动安装了。如果下载很慢,可以先把 yum 的源切换到国内镜像

    打赏 评论
  • rpmdeb 2019-09-27 11:24

    gcc一般不建议手动编译升级,要升级的话最好是yum升级,如果不能满足需要,建议使用高版本的系统。

    打赏 评论

相关推荐 更多相似问题